# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_impressora_modelo(osv.Model):
    """
    Tabela de impressoras
    """

    #prefixo = admimo_

    _name = 'adm.impressora.modelo'
    _columns = {
        'admimo_marca': fields.char('Marca da Impressora', size=20),
        'admimo_modelo': fields.char('Modelo da Impressora', size=20),
        'admimo_negrito_liga': fields.char('Habilita negrito', size=20),
        'admimo_negrito_desliga': fields.char('Desabilita negrito', size=20),
        'admimo_sub_liga': fields.char('Habilita sublinhado', size=20),
        'admimo_sub_desliga': fields.char('Desabilita sublinhado', size=20),
        'admimo_fonte_liga': fields.char('Habilita fonte Expandida', size=20),
        'admimo_fonte_desliga': fields.char('Desabilita fonte Expandida', size=20),
        'admimo_corta_papel': fields.char('Corta Papel', size=20),
        'admimo_espacamento_linha': fields.char('Espacamento de linha', size=20),
        'admimo_fonte_cond_liga': fields.char('Condencar Fonte', size=20),
        'admimo_fonte_cond_desliga': fields.char('Descondencar Fonte', size=20),
        'admimo_gaveta': fields.char('Abrir Gaveta', size=20),
        'admimo_porta': fields.char('Porta', size=60,
                                    help='Porta para o caso da impressao direto na porta'),
    }
