# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class estoque_produto_embalagem(osv.Model):
    _inherit = 'estoque.produto.embalagem'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if not isinstance(ids, list):
            ids = [ids]

        if 'active' in vals and not vals.get('active'):
            msg = []
            obj_automacao = self.pool.get('automacao.codigo.barra')
            auto_ids = obj_automacao.search(cr, uid, [('produto_embalagem_id', 'in', ids)],
                                     context=context)
            for brw_auto in obj_automacao.browse(cr, uid, auto_ids, context):
                msg.append('%s' % brw_auto.codigo_barra)

            if msg:
                raise osv.except_osv(_('Atencao!'),
                                     _('Essa embalagem esta presente nos seguintes Codigos de Barras:\n%s') %
                                     '\n'.join(msg))

        res = super(estoque_produto_embalagem, self).write(cr, uid, ids, vals, context)
        return res
