# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class banfin_bolrec(osv.Model):
    _inherit = 'banfin.bolrec'

    def banfin_bolrec_registrar_boleto(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        valsBol = {
            'fintib_titulo_id': vals.get('titulo_id'),
            'fintib_codigo_barras': vals.get('codigo_barras'),
            'fintib_local_cobranca_id': vals.get('local_cobranca_id'),
            'fintib_natureza_cobranca_id': vals.get('natureza_cobranca_id'),
            'fintib_nosso_numero': vals.get('nosso_numero'),
            'fintib_controle_bco': vals.get('controle_bco'),
            'fintib_url_pdf': vals.get('url_pdf'),
            'fintib_url_pagamento': vals.get('url_pagamento'),
            'fintib_pix_hash': vals.get('pix_hash'),
            'fintib_pix_qrcode': vals.get('pix_qrcode'),
        }
        context['ctx_nao_testar_codigo_barra'] = True
        self.pool.get('financeiro.titulo.boleto').create(cr, uid, valsBol, context=context)
        valsTit = {
            'state_banco': 'E',
            'local_cobranca_id': vals.get('local_cobranca_id'),
            'natureza_cobranca_id': vals.get('natureza_cobranca_id'),
        }
        self.pool.get('financeiro.titulo').write(cr, uid, vals.get('titulo_id'), valsTit, context=context)
        vals_his = {
            'banfin_bolrec_conta_id': vals.get('conta_id'),
            'banfin_bolrec_operacao': 'R',
            'banfin_bolrec_pessoa_id': vals.get('pessoa_id'),
            'banfin_bolrec_titulo_id': vals.get('titulo_id'),
            'banfin_bolrec_emissao': vals.get('emissao'),
            'banfin_bolrec_vencimento': vals.get('vencimento'),
            'banfin_bolrec_prorrogacao': vals.get('prorrogacao'),
            'banfin_bolrec_valor': vals.get('valor'),
        }
        self.pool.get('banfin.bolrec').create(cr, uid, vals_his, context=context)
        return True



