# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


import time
from openerp.osv import fields, osv


class crm_br_case_criticidade(osv.Model):

    _name = "crm_br.case.criticidade"
    _description = "Criticidade"

    _columns = {
        'crmcri_criticidade': fields.selection([('B', 'Baixa'),
                                                ('M', 'Medio'),
                                                ('A', 'Alta')], 'Criticidade', select=True,),
        'crmcri_tempo_limite': fields.float('Tempo limite'),
    }

    _sql_constraints = [
         ('criticidade_uniq', 'unique (crmcri_criticidade)', 'A criticidade deve ser unica!')
     ]