# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from openerp.tools import config

class estoquepedidos_pedido_capa(osv.Model):
    _inherit = 'estoquepedidos.pedido.capa'

    def create(self, cr, uid, vals, context=None):
        if vals.get('pedcap_cor'):
            _arq = 'adm/static/src/img/band_j_%s.png' % vals.get('pedcap_cor')
            _img = self.pedcap_get_image_cor(_arq)
            vals['pedcap_cor_img'] = _img
        else:
            vals['pedcap_cor_img'] = None
        pedido_id = super(estoquepedidos_pedido_capa, self).create(cr, uid, vals, context)
        return pedido_id

    def write(self, cr, uid, ids, vals, context=None):
        res = super(estoquepedidos_pedido_capa, self).write(cr, uid, ids, vals, context=context)
        if isinstance(ids, (int, long)):
            ids = [ids]
        for brw_pedido in self.browse(cr, uid, ids, context=context):
            vals = {}
            if brw_pedido.pedcap_cor:
                _arq = 'adm/static/src/img/band_j_%s.png' % brw_pedido.pedcap_cor
                _img = self.pedcap_get_image_cor(_arq)
                vals['pedcap_cor_img'] = _img
            else:
                vals['pedcap_cor_img'] = None
            super(estoquepedidos_pedido_capa, self).write(cr, uid, brw_pedido.id, vals, context=context)
        return res


    def pedcap_get_image_cor(self, arquivo):
        if not arquivo:
            return ''
        arq = '%s/%s' % (config.get('addons_path'), arquivo)
        file_img = open(arq, 'r')
        _image = file_img.read().encode('base64')
        file_img.close()
        return _image

