# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoque_produto_grade(osv.Model):

    _inherit = 'estoque.produto.grade'

    def estgrd_get_requisitado(self, cr, uid, ids, context=None, company_id=False):
        context = context and context.copy() or {}
        if not company_id:
            company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, 'fiscal.nf.capa')

        _esboco_na_reserva = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', 'estpar_esboco_na_reserva', context=context).get(
            'estpar_esboco_na_reserva')
        obj_estmvi = self.pool.get('estoque.movimento.itens')
        dados = super(estoque_produto_grade, self).estgrd_get_requisitado(cr, uid, ids, context,
                                                                          company_id)
        # state da nf - 1-Esboço, 3-Faturada, C-Cancelada, D-Denegada, I-Inutilizada
        _sql = obj_estmvi.estmvi_get_query_item_requisitado(ids, company_id, _esboco_na_reserva)
        dados = self._estgrd_requisitado_acumular_valores(cr, uid, _sql, dados)
        return dados

