# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_nf_capa_cpf(osv.Model):
    """
    Tabela contendo cpfs dos clientes de nfce que nao estao cazdastrados no erp.
    PREFIXO: fisnfcc_ - Todo campo novo deve ser iniciado com fisnfc. Ex.: fisnfc_nf_terceiro_id.
    """
    _name = 'fiscal.nf.capa.cpf'
    _rec_name = 'fisnfcc_cpf'
    _columns = {
        'fisnfcc_cpf': fields.char('CPF', select=True, size=11),  # Numero do cpf
        'fisnfcc_capa_id': fields.many2one("fiscal.nf.capa", 'Capa', ondelete="cascade", required=True,
                                   select=True),
    }
