# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_dis_locais_desembaraco(osv.Model):
    """
    Tabela de locais de desembaraco aduaneiro
    prefixo: fisdis_lcds_
    """
    _name = 'fiscal.dis.locais.desembaraco'
    _columns = {
        'name': fields.text('Descricao', required=True),
        'fisdis_lcds_pais_id': fields.many2one('adm.pais', 'Pais', required=True),
        'fisdis_lcds_uf_id': fields.many2one('adm.uf','UF', required=True),
    }
    _defaults = {
        'fisdis_lcds_pais_id': lambda s, cr, uid, c: s.pool.get('adm.pais').search(cr, uid, [('sigla', '=', 'BR')], context=c, limit=1)
    }
