# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class gesbas_servidores_grafico(osv.Model):
    """
    Classe para controle de estatisticas de uso de servidores para graficos
    """

    _name = 'gesbas.servidores.graficos'
    _columns = {
        'id': fields.integer('id'),
        'name': fields.char('Servidor', size=20, select=1),
        'gesbas_segr_tipo': fields.selection([('1', '1 Hora'),
                                              ('2', '6 Horas'),
                                              ('3', '12 Horas'),
                                              ('4', '24 Horas'),
                                              ('5', '7 Dias'),
                                              ('6', '30 Dias'),
                                              ('7', '90 Dias')], 'Periodo do grafico', select=1),
        'gesbas_segr_data_hora': fields.char('Data', select=1, size=16),
        'gesbas_segr_cpu': fields.float('Cpu uso', digits=(3, 1)),
        'gesbas_segr_avg': fields.float('Avg uso', digits=(3, 1)),
    }
    _order = 'name, id desc'
