# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2010 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv

class wiz_gesbas_acessos_consultas(osv.TransientModel):


    _inherit = "wiz.gesbas.acessos.consultas"

    def wizgbacco_button_pesquisar(self, cr, uid, ids, context=None):
        vals = {
            'state': 'P'
        }
        self.write(cr, uid, ids, vals, context=context)
        args = []
        brw = self.browse(cr, uid, ids[0], context=context)
        _visao = ''
        if brw.wizgbacco_fil_visao == 'S':
            _visao = 'gesbas_aces_servidor'
        if brw.wizgbacco_fil_visao == 'B':
            _visao = 'gesbas_aces_base'
        _where = ''
        if brw.wizgbacco_fil_servidor:
            _where += "gesbas_aces_servidor = '%s' " % brw.wizgbacco_fil_servidor
        if brw.wizgbacco_fil_base:
            if _where:
                _where += "and gesbas_aces_base = '%s' " % brw.wizgbacco_fil_base
            else:
                _where += "gesbas_aces_base = '%s' " % brw.wizgbacco_fil_base
        _periodo = 'gesbas_aces_dia'
        if brw.wizgbacco_fil_dia_ini:
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_dia'
            if _where:
                _where += "and gesbas_aces_dia >= '%s' " % brw.wizgbacco_fil_dia_ini
            else:
                _where += "gesbas_aces_dia >= '%s' " % brw.wizgbacco_fil_dia_ini
        if brw.wizgbacco_fil_dia_fim:
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_dia'
            if _where:
                _where += "and gesbas_aces_dia <= '%s' " % brw.wizgbacco_fil_dia_fim
            else:
                _where += "gesbas_aces_dia <= '%s' " % brw.wizgbacco_fil_dia_fim
        if brw.wizgbacco_fil_semana_ini:
            _periodo = 'gesbas_aces_semana'
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_semana'
            if _where:
                _where += "and gesbas_aces_semana >= '%s' " % brw.wizgbacco_fil_semana_ini
            else:
                _where += "gesbas_aces_semana >= '%s' " % brw.wizgbacco_fil_semana_ini
        if brw.wizgbacco_fil_semana_fim:
            _periodo = 'gesbas_aces_semana'
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_semana'
            if _where:
                _where += "and gesbas_aces_semana <= '%s' " % brw.wizgbacco_fil_semana_fim
            else:
                _where += "gesbas_aces_semana <= '%s' " % brw.wizgbacco_fil_semana_fim
        if brw.wizgbacco_fil_mes_ini:
            _periodo = 'gesbas_aces_mes'
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_mes'
            if _where:
                _where += "and gesbas_aces_mes >= '%s' " % brw.wizgbacco_fil_mes_ini
            else:
                _where += "gesbas_aces_mes >= '%s' " % brw.wizgbacco_fil_mes_ini
        if brw.wizgbacco_fil_mes_fim:
            _periodo = 'gesbas_aces_mes'
            if brw.wizgbacco_fil_visao == 'P':
                _visao = 'gesbas_aces_mes'
            if _where:
                _where += "and gesbas_aces_mes <= '%s' " % brw.wizgbacco_fil_mes_fim
            else:
                _where += "gesbas_aces_mes <= '%s' " % brw.wizgbacco_fil_mes_fim
        if _where:
            _where = 'where %s' % _where
        _sql = 'select count(%s) from (select distinct %s from gesbas_acessos %s) as %s' % (_periodo, _periodo, _where, _periodo)

        cr.execute(_sql)
        qtd_reg_total = cr.dictfetchall()
        if qtd_reg_total:
            qtd_reg_total = qtd_reg_total[0].get('count')

        # qtd_reg_total = self.pool.get('gesbas.acessos').search(cr, uid, args, count=True, context=context)
        if qtd_reg_total < 26:
            tamPag = 1
        else:
            tamPag = int(qtd_reg_total / 25) + 1
        pag = 0

        while True:
            qtdAcessos = 0
            acessos_ids = self.pool.get('gesbas.acessos').search(cr, uid, args, offset=pag, limit=tamPag, order='gesbas_aces_dia', context=context)
            for dados in self.pool.get('gesbas.acessos').read(cr, uid, acessos_ids, [], context=context):
                qtdAcessos += dados.get('gesbas_aces_quantidade')
                if brw.wizgbacco_fil_dia_ini or brw.wizgbacco_fil_dia_fim:
                    _label = dados.get('gesbas_aces_dia')
                if brw.wizgbacco_fil_semana_ini or brw.wizgbacco_fil_semana_fim:
                    _label = dados.get('gesbas_aces_semana')
                if brw.wizgbacco_fil_mes_ini or brw.wizgbacco_fil_mes_fim:
                    _label = dados.get('gesbas_aces_mes')
            vals = {
                'wizgbaccol_capa_id': ids[0],
                'wizgbaccol_visao': brw.wizgbacco_fil_visao,
                'wizgbaccol_periodo': _label,
                'wizgbaccol_acessos': qtdAcessos,
            }
            self.pool.get('wiz.gesbas.acessos.consultas.linhas').create(cr, uid, vals, context=context)

        return True


    def wizgbacco_onchange_servidor(self, cr, uid, ids, servidor, context=None):
        context = context and context.copy() or {}
        if servidor:
            context['servidor'] = servidor
        self._wizgbacco_get_portas(cr, uid, context=context)
        return {}

    def wizgbacco_onchange_dia(self, cr, uid, ids, wizgbacco_fil_dia_ini, wizgbacco_fil_dia_fim, context=None):
        res = {}
        if wizgbacco_fil_dia_ini or wizgbacco_fil_dia_fim:
            res['value'] = {
                'wizgbacco_fil_semana_ini': '',
                'wizgbacco_fil_semana_fim': '',
                'wizgbacco_fil_mes_ini': '',
                'wizgbacco_fil_mes_fim': '',
            }
        return res

    def wizgbacco_onchange_semana(self, cr, uid, ids, wizgbacco_fil_semana_ini, wizgbacco_fil_semana_fim, context=None):
        res = {}
        if wizgbacco_fil_semana_ini or wizgbacco_fil_semana_fim:
            res['value'] = {
                'wizgbacco_fil_dia_ini': '',
                'wizgbacco_fil_dia_fim': '',
                'wizgbacco_fil_mes_ini': '',
                'wizgbacco_fil_mes_fim': '',
            }
        return res

    def wizgbacco_onchange_mes(self, cr, uid, ids, wizgbacco_fil_mes_ini, wizgbacco_fil_mes_fim, context=None):
        res = {}
        if wizgbacco_fil_mes_ini or wizgbacco_fil_mes_fim:
            res['value'] = {
                'wizgbacco_fil_dia_ini': '',
                'wizgbacco_fil_dia_fim': '',
                'wizgbacco_fil_semana_ini': '',
                'wizgbacco_fil_semana_fim': '',
            }
        return res

    def wizgbacco_button_limpar(self, cr, uid, ids, context=None):
        vals = {
            'wizgbacco_fil_visao': '',
            'state': 'E',
            'wizgbacco_fil_base': '',
            'wizgbacco_fil_servidor': '',
            'wizgbacco_fil_porta': '',
            'wizgbacco_fil_dia_ini': '',
            'wizgbacco_fil_dia_fim': '',
            'wizgbacco_fil_semana_ini': '',
            'wizgbacco_fil_semana_fim': '',
            'wizgbacco_fil_mes_ini': '',
            'wizgbacco_fil_mes_fim': '',
        }
        self.write(cr, uid, ids, vals, context=context)
        linha_ids = []
        for i in self.read(cr, uid, ids, ['wizgbacco_linha_ids'], context=context):
            linha_ids.extend(i.get('wizgbacco_linha_ids'))
        if linha_ids:
            self.pool.get('wiz.gesbas.acessos.consultas.linhas').unlink(cr, uid, linha_ids, context=context)
        return True

class wiz_gesbas_acessos_consultas_linhas(osv.TransientModel):


    _inherit = "wiz.gesbas.acessos.consultas.linhas"

