# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


from openerp.osv import osv, fields


class mkp_produto_marketplace_imagens(osv.Model):

    _inherit = 'mkp.produto.marketplace.imagens'

    def mkprmkimg_btn_get_end_img(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, int):
            ids = [ids]
        dados = self.read(cr, uid, ids[0], ['mkprmkimg_imagem_produto_id'], context)
        img_id = False
        if dados.get('mkprmkimg_imagem_produto_id'):
            img_id = dados.get('mkprmkimg_imagem_produto_id')[0]
            _end = self.pool.get('estoque_img.produto').estimg_get_end_imagem(cr, uid, img_id, context=context)
            self.write(cr, uid, ids, {'mkprmkimg_endereco_mkp': _end})
        return True

    def _mkprmkimg_excluir_imagem(self, cr, uid, cod_mkp, codigo_imagem, context=None):
        """
        Metodo para ser sobrescrito em cada marketplace
        """
        return True

    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, int):
            ids = [ids]
        brws = self.browse(cr, uid, ids, context=context)
        for brw in brws:
            cod_mkp = brw.mkprmkimg_produto_mkp_id.mkpromkp_marketplace_id.mkpmkp_codigo
            codigo_imagem = brw.mkprmkimg_codigo_no_mkp
            self._mkprmkimg_excluir_imagem(cr, uid, cod_mkp, codigo_imagem, context=context)
        res = super(mkp_produto_marketplace_imagens, self).unlink(cr, uid, ids, context=context)
        return res