# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2010 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from datetime import datetime
import psycopg2


class ecf_utils(osv.Model):
    _inherit = 'ecf.utils'

    def ecfuti_get_left_local_producao(self, context=None):
        context = context and context.copy() or {}
        super(ecf_utils, self).ecfuti_get_left_local_producao(context)
        sql = 'LEFT JOIN  estoque_local              AS el   ON el.id = ep.estpro_local_producao_id'
        return sql

    def ecfuti_get_camp_local_producao(self, context=None):
        context = context and context.copy() or {}
        super(ecf_utils, self).ecfuti_get_camp_local_producao(context)
        return """, el.numero                           AS codigo_local_producao"""

    def ecfuti_get_locais_producao(self, cr, uid, pegar_locais, codigo_locais, context=None):
        context = context and context.copy() or {}
        super(ecf_utils, self).ecfuti_get_locais_producao(cr, uid, pegar_locais, codigo_locais,
                                                          context)
        if not pegar_locais:
            return False

        obj_local = self.pool.get('estoque.local')
        context = context and context.copy() or {}
        local_ids = obj_local.search(cr, uid, [('estlcl_local_producao','=',True)], context=context)
        if not local_ids:
            return False

        vals_locais = []
        for local in obj_local.read(cr, uid, local_ids, ['numero', 'name'], context=context):
            if local.get('numero') in codigo_locais:
                continue

            vals_locais.append({'codigo': local.get('numero'),
                                'nome': local.get('name')})

        return vals_locais
