# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class adm_impressora(osv.Model):
    _inherit = 'adm.impressora'

    def name_get(self, cr, user, ids, context=None):
        if not ids:
            return []

        res = []
        for i in self.read(cr, user, ids, ['admimp_obs', 'admimp_cups'], context=None):
            obs = i.get('admimp_obs')
            cups = i.get('admimp_cups')
            nome = cups
            if obs:
                nome = '%s -> %s' % (obs, cups)

            res.append((i.get('id'), nome))

        return res
