# -*- coding: utf-8 -*-
#
# OBS: para funcionar eh preciso que tenha a pasta 'static' dentro do modulo

import openerp.addons.web.http as http
import json
from ..valida.controller import Config, MySock as Ms
from logging import getLogger
_logger = getLogger("ContrEcf")

SEM_ERRO = '00'
ERRO_INTERNO = '99'

class MySock(Ms):
    def __init__(self, params):
        par = {'user': 'crm_remoto',
               'pwd': 'crm_remoto_77813',
               'db': 'teste_crm'}
        super(MySock, self).__init__(params=par, modulo='')


    def execute(self, model, function, *args):
        return self.sock.execute(self.db, self.uid, self.pwd, model, function, *args)


class sc_contrecf(http.Controller):
    _cp_path = '/crm'

    @http.httprequest
    def teste(self, req, s_action=None, **kw):
        _logger.info('==++> SigController.%s Params: %s. Data:%s' % (req.httprequest.path, req.params, req.httprequest.data))
        ip = req.httprequest.environ.get('REMOTE_ADDR')
        print(ip)
        return json.dumps({'codigo': SEM_ERRO,
                           'mensagem': 'ok',
                           'retorno': [ip]})
    @http.httprequest
    def get_dados_painel(self, req, s_action=None, **kw):
        try:
            sock = MySock(req.params)
            dados = sock.execute('crm_br.utils', 'crmutl_get_dados_painel', {})
            res = []
            for user, vals in sorted(dados.items()):
                res.append(vals)
            return json.dumps({'retorno': res,
                               'codigo': SEM_ERRO,
                               'mensagem': 'ok'})
        except Exception as e:
            return json.dumps({'codigo': ERRO_INTERNO,
                               'mensagem': 'Erro: %s' % e,
                               'retorno': []})
