# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2016 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2016, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


# noinspection PyAbstractClass,PyPep8Naming
class relatorio_pedido_venda_state_osv(osv.TransientModel):
    """
    Heranca na classe ´relatorio_pedido_venda_state_osv´.
    Formulario de dados de pedido de venda para elaboracao de relatorio.
    """

    _inherit = 'relatorio.pedido.venda.state.osv'

    # noinspection PyMethodMayBeStatic
    def setStates(self, cr, uid, context=None):
        """
        Acrescenta ´Montado´ nas opcoes possiveis para o campo ´state´ do relatorio de pedido de
        venda.
        """
        _states = [('O', 'Montado')]
        for _state in _states:
            if self.search(cr, uid, [('codigo', '=', _state[0])], context=context):
                continue
            vals = {
                'codigo': _state[0],
                'name': _state[1],
            }
            self.create(cr, uid, vals, context=context)
        super(relatorio_pedido_venda_state_osv, self).setStates(cr, uid, context=context)
        return []

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
