# -*- coding: utf-8 -*-

import time
from openerp import pooler, osv
from openerp.report import report_sxw
import subprocess
from openerp.report.render import render
import random
import string
from openerp.tools.translate import _
_relatorio = ''

def random_name():
    random.seed()
    d = [random.choice(string.ascii_letters) for x in xrange(3)]
    name = "".join(d)
    return name


class external_pdf(render):
    def __init__(self, pdf):
        render.__init__(self)
        self.pdf = pdf
        self.output_type = 'pdf'

    def _render(self):
        return self.pdf


class rel_estoquepedidos2(report_sxw.rml_parse):


    def __init__(self, cr, uid, name, context):
        super(rel_estoquepedidos2, self).__init__(cr, uid, name, context)
        dados_parametro = pooler.get_pool(cr.dbname).get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque',
            ['estpar_impressora_pedido', 'estpar_pedido_tipo_codigo',
             'estpar_pedido_formato_impressao', 'estpar_comando_guilhotina',
             'estpar_pedido_retrato_paisagem', 'estpar_vias_pedido'])
        tipo_codigo = dados_parametro.get('estpar_pedido_tipo_codigo')
        obj_estoquepedidos_pedido_capa = pooler.get_pool(cr.dbname).get(
            'estoquepedidos.pedido.capa')
        dados_extra = obj_estoquepedidos_pedido_capa.pedcap_get_dado_extra(
            cr, uid, context.get('active_ids'), context) or {}
        self.localcontext.update({
            'time': time,
            'getNumeroEditado': self.pool.get('adm.utils').admutl_get_valor_formatado,
            'int': int,
            'tipo_codigo': tipo_codigo,
            'vendedor_externo': _('Vendedor externo:'),
            'dado_extra': dados_extra,
            'sum': sum
        })
        self.context = context

report_sxw.report_sxw('report.estoquepedidos_pedido_capa_a5_r', 'estoquepedidos.pedido.capa',
                      'estoquepedidos/report/rel_estoquepedidos_a5_r.rml', parser=rel_estoquepedidos2,
                      header=False)
report_sxw.report_sxw('report.estoquepedidos_pedido_capa_a5_p', 'estoquepedidos.pedido.capa',
                      'estoquepedidos/report/rel_estoquepedidos_a5_p.rml', parser=rel_estoquepedidos2,
                      header=False)
report_sxw.report_sxw('report.estoquepedidos_pedido_capa_a4_r', 'estoquepedidos.pedido.capa',
                      'estoquepedidos/report/rel_estoquepedidos_ar_r.rml', parser=rel_estoquepedidos2,
                      header=False)
report_sxw.report_sxw('report.estoquepedidos_pedido_capa_a4_p', 'estoquepedidos.pedido.capa',
                      'estoquepedidos/report/rel_estoquepedidos_ar_p.rml', parser=rel_estoquepedidos2,
                      header=False)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

