# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields



class adm_forma_pgto(osv.Model):
    """
    Heranca da classe adm_forma_pgto.
    """
    _inherit = 'adm.forma.pgto'  # admfpg
    _columns = {
        'admfpg_boleto': fields.boolean('Imprimir boleto', help="Imprimir boleto automaticamente ao emitir uma nota fiscal"),
        'admfpg_local_cobranca_id': fields.many2one("financeiro.local.cobranca", 'Local de cobranca',
                                                   domain=[('tipo', '=', 'B')]),
        'admfpg_natureza_id': fields.many2one('financeiro.natureza.cobranca', 'Natureza de cobranca'),
        'admfpg_documento_tipo_id': fields.many2one('documento.documento.tipo', 'Tipo de documento',
                                                    ondelete='restrict'),
        'admfpg_promissoria': fields.boolean('Imprimir promissoria'),
        'admfpg_conta_tesouraria_id': fields.many2one('financeiro.tesouraria.contas',
                                                      'Conta tesouraria', select=True),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
