# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class estoque_produto_embalagem(osv.Model):
    _inherit = 'estoque.produto.embalagem'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if not isinstance(ids, list):
            ids = [ids]

        if 'active' in vals and not vals.get('active'):
            msg = []
            obj_kit = self.pool.get('kit.produto')
            kit_ids = obj_kit.search(cr, uid, [('kitpro_produto_embalagem_id', 'in', ids)],
                                     context=context)
            for brw_kit in obj_kit.browse(cr, uid, kit_ids, context):
                produto = brw_kit.kitpro_produto_id
                txt = '%s - %s' % (produto.codigo, produto.name)
                msg.append(txt)
            if msg:
                raise osv.except_osv(_('Atencao!'),
                                     _('Essa embalagem esta presente nos seguintes Kits:\n%s') %
                                     '\n'.join(msg))

        res = super(estoque_produto_embalagem, self).write(cr, uid, ids, vals, context)
        return res
