# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from ....marketplace.control.utils import configuracao
from openerp.tools import config
import re


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_magalu_btn_registrar(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        if ids:
            brw_conta = self.browse(cr, uid, ids[0], context=context)
            conta_id = brw_conta.id
            cpf_cnpj = re.sub(r'[^a-zA-Z0-9]', '', brw_conta.company_id.rescon_pessoa_id.cpf_cnpj)
            _nome = brw_conta.company_id.rescon_pessoa_id.nome
            c = configuracao('marketplace_magalu', cpf_cnpj)
            c.server = brw_conta.mkpcta_host_erp
            c.base = brw_conta.mkpcta_banco_erp
            c.conta_id = conta_id
            c.redirect = brw_conta.mkpcta_mag_uri_redirect
            c.user_id = brw_conta.mkpcta_mag_sig_client_id
            c.secreto = brw_conta.mkpcta_mag_sigsecret_key
            c.gravarConfiguracao()

            c = configuracao('marketplace', brw_conta.mkpcta_banco_erp)
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
            res = _spg('mkp.magalu').mkpMagalu_set_clients(cr, uid, cpf_cnpj, _nome, conta_id, context=context)
            if not res.get('status'):
                raise osv.except_osv(_('Atencao'), res.get('mensagem'))
        return True
