# -*- coding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _
from datetime import datetime


class wizard_supervisor_importar_erp(osv.TransientModel):
    """
    Wizard de exportacao para ECF.
    """

    _inherit = "wizard.supervisor.importar.erp"
    _columns = {
        'wizsim_gerar_locais': fields.boolean('Gerar locais de producao'),
    }

    _defaults = {
        'wizsim_gerar_locais': False,
    }

    def _wizsim_criar_locais_producao(self, cr, uid, dados_locais):
        super(wizard_supervisor_importar_erp, self)._wizsim_criar_locais_producao(cr, uid,
                                                                                  dados_locais)
        data = str(datetime.now())[:19]
        for local in dados_locais:
            sql = """INSERT INTO supervisor_producao_local 
                 (create_date, write_date, create_uid, write_uid, sucloc_codigo, name)
             VALUES ('{data}', '{data}', {uid}, {uid}, '{codigo}', '{nome}');
             COMMIT;
            """.format(data=data, uid=uid,
                       codigo=local.get('codigo'),
                       nome=local.get('nome'))
            cr.execute(sql)

        return True
