#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class supervisor_cad_sorteio_itens(osv.Model):
    """
    Prefixo: supsit
    """

    _name = 'supervisor.cad.sorteio.itens'
    _rec_name = 'supsit_barras'
    _gerar_logs_logs = 'N'
    _columns = {
        'supsit_capa_id': fields.many2one('supervisor.cad.sorteio','Capa',ondelete="cascade",
                                          required=True, select=True),
        'supsit_sequencial': fields.integer('Sequencial', required=True),
        'supsit_barras': fields.char('Codigo de barras', size=14, required=True, select=True),
        'supsit_descricao': fields.char('Descricao', size=60),
        'supsit_quantidade': fields.float('Quantidade', digits=(10, 3), required=True),

    }
    _defaults = {
        'supsit_quantidade': 1,
        'supsit_sequencial': 1,
    }
